
from optparse import OptionParser
from lmi.lmi_client_shell import LmiConnection
import lmi.storage.vg

def main():

    usage = "%prog [options] <command> [command options]"
    parser = OptionParser(usage=usage)
    parser.disable_interspersed_args()
    parser.add_option("-c", "--host",
            action="store",
            dest="host",
            default="localhost",
            help="address of managed system")
    parser.add_option("-u", "--user",
            action="store",
            dest="user",
            default="root",
            help="user name")
    parser.add_option("-p", "--password",
            action="store",
            dest="password",
            help="password")
    parser.add_option("-n", "--namespace",
            action="store",
            dest="namespace",
            default="root/cimv2",
            help="CIM namespace")

    (options, args) = parser.parse_args()

    if not args:
        parser.error("no command specified")

    cmd = args[0]

    # connect
    c = LmiConnection(options.host, options.user, options.password, False)
    # TODO: lmishell connection should have a method to get LmiNamespace from
    # string. See ticket #121
    nm = c.root.cimv2
    # TODO: this is really lame parser, steal something better from 'brew' or
    # 'fedpkg', where commands would be automatically populated.
    if cmd == 'vgs':
        lmi.storage.vg.cmd_vgs(args[1:], nm)
    elif cmd == 'vgcreate':
        lmi.storage.vg.cmd_vgcreate(args[1:], nm)
    elif cmd == 'vgremove':
        lmi.storage.vg.cmd_vgremove(args[1:], nm)

if __name__ == '__main__':
    main()
