default_nm = None

class LMI_Exception(Exception):
    pass

class LMI_NotFoundException(LMI_Exception):
    pass

class LMI_MethodFailed(LMI_Exception):
    pass

def get_nm(nm):
    """
    Return a namespace. Return the default namespace if nm=None.
    
    :param nm: Namespace. Can be None, default namespace is returned then.
    """
    if nm:
        return nm
    return default_nm

def set_default_nm(nm):
    """
    Set default (=global) namespace. All scripton functions will use this
    namespace if not stated otherwise.
    """
    global default_nm
    default_nm = nm

